Subject: Re: bug#12041: Issues running the testsuite as root

From: Stefano Lattarini <[email-masked]>
Date: Wed, 25 Jul 2012 15:39:19 +0200

On 07/25/2012 03:26 PM, Dennis Clarke wrote:
>
> Stefano Lattarini wrote:
>
>> Could you try what happens issuing this command as root with all the shells
>> you have at your disposal (/bin/sh, /usr/xpg4/bin/sh, /bin/ksh and 
>> bash at least)?
> 
> I'll see if I can find the enthusiasm for it ;-) 
>
Yeah, don't sweat it anyway; since the failure is solved, I'm already
satisfied, and as you say below, let's move on to other (better) items.

>> So my patch might be a good idea regardless of your use case, just as 
>> a way to err on the side of safety.
> 
> I salute that thinking. 
>
Glad of hearing that :-)

> Also, if you ever, for whatever reasons, want access to Solaris systems,
> just drop me a line with a public key and its done.
>
Thanks, but I already has access to such systems (which might explain why
you found so few failures in the testsuite on your Solaris ;-).  I couldn't
try this particular patch by myself because because I don't have root
privileges on those Solaris boxen access I have access to (nor I want it;
less risk of messing up things).

Thanks,
  Stefano